MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024746Community[OCCT] OCCT:Modeling Algorithmspublic2014-03-20 18:392014-11-12 09:51
ReporterBayard 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2012OS Version64 bit
Product Version[OCCT] 6.7.0 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0024746: Bug in BRepAlgoAPI
DescriptionHello !
I got a violation access when using BRepAlgoAPI_Common on two faces coming from a Step File.

I did a draw script to test that and the Bopcommon don't do anything, I guess the error is caught by drawn
(Bopcommon should find an intersection edge, as when intersecting the boundary edge which is in common..)
Thx


Thx for your answer
Steps To ReproduceReadStep doc ENI.stp
XGetShape c doc 0:1:1:1
explode c f
explode c_2 e
bop c_1 c_2
bopcommon res1
nbshapes res1
bop c_1 c_2_4
bopcommon res2
nbshapes res2
TagsNo tags attached.
Test case numberbugs modalg_5 bug24746
Attached Files? file icon ENI.stp (11,978 bytes) 2014-03-20 18:39

- Relationships

-  Notes
(0031669)
abv (manager)
2014-09-12 14:42

The problem is not reproduced on current master, please add a test case and close the issue if it is Ok
(0033849)
git (administrator)
2014-10-29 18:23

Branch CR24746 has been created by apn.

SHA-1: f4df15cb88d0befc059e8f4073c66868e686f2f4


Detailed log of new commits:

Author: apn
Date: Wed Oct 29 18:23:18 2014 +0300

    0024746: Bug in BRepAlgoAPI
    
    Added test case bugs/modalg_5/bug24746
(0033851)
apn (administrator)
2014-10-29 18:24

Problem is not reproduced on current state of master on Windows and Debian60-64 in Release and Debug modes.
Branch CR24746 was created. It contains test case:
bugs modalg_5 bug24746 - OK
(0034290)
git (administrator)
2014-11-12 09:51

Branch CR24746 has been deleted by inv.

SHA-1: f4df15cb88d0befc059e8f4073c66868e686f2f4

- Related Changesets
occt: master 6e953e43
Timestamp: 2014-10-29 15:23:18
Author: apn
Committer: bugmaster
Details ] Diff ]
0024746: Bug in BRepAlgoAPI

Added test case bugs/modalg_5/bug24746
add - tests/bugs/modalg_5/bug24746 Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-03-20 18:39 Bayard New Issue
2014-03-20 18:39 Bayard Assigned To => ifv
2014-03-20 18:39 Bayard File Added: ENI.stp
2014-09-12 14:42 abv Note Added: 0031669
2014-09-12 14:42 abv Assigned To ifv => bugmaster
2014-09-12 14:42 abv Status new => feedback
2014-09-12 14:42 abv Target Version => 6.8.0
2014-09-12 15:18 bugmaster Assigned To bugmaster => mkv
2014-09-16 15:11 bugmaster Assigned To mkv => apv
2014-10-20 11:57 bugmaster Assigned To apv => apn
2014-10-29 18:23 git Note Added: 0033849
2014-10-29 18:24 apn Note Added: 0033851
2014-10-29 18:24 apn Test case number => bugs modalg_5 bug24746
2014-10-29 18:24 apn Assigned To apn => bugmaster
2014-10-29 18:24 apn Status feedback => tested
2014-10-31 14:03 bugmaster Changeset attached => occt master 6e953e43
2014-10-31 14:03 bugmaster Status tested => verified
2014-10-31 14:03 bugmaster Resolution open => fixed
2014-11-11 12:43 user533 Fixed in Version => 6.8.0
2014-11-11 13:03 user533 Status verified => closed
2014-11-12 09:51 git Note Added: 0034290


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker